Get Numbering Scheme (Beta)
GET
vaults/{vaultId}/numbering-schemes/{id}
Retrieves numbering scheme details for the given ID.
Resource Information
| Method and URI | GET /AutodeskDM/Services/api/vault/v2/vaults/{vaultId}/numbering-schemes/{id} |
| Authentication Context | User context required |
| Required OAuth Scopes | No scopes required |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow or a Secure Service Account (SSA) flow.
The SSA flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context. |
* Required
Request
URI Parameters
| vaultId string | The unique identifier of a Knowledge Vault. |
| id string | The unique identifier of a numbering scheme. |
Response
HTTP Status Code Summary
| 200 OK | The numbering scheme was successfully retrieved. |
| 400 Bad Request | The server was unable to process the request. The syntax of the request is malformed or the request is missing a required header. Do not repeat the request without fixing the issue. The response body may indicate what is wrong with the request. |
| 401 Unauthorized | The supplied authorization header was not valid or the supplied token scope was not acceptable. Verify authentication and try again. |
| 403 Forbidden | The request was successfully validated but lacking the required permissions. Verify your credentials and permissions before you send this request again. |
| 404 Not Found | The requested resource was not found. |
Response
Body Structure (200)
Expand all
| id string | The unique identifier of a numbering scheme. |
| url string | The relative URL to access this object. |
| name string | The name of this numbering scheme. |
| systemName string | The system name of this numbering scheme, if it is a system scheme. |
| entityClassId string | The entity class this numbering scheme belongs to, e.g., FILE, ITEM, CO. |
| isActive boolean | Whether this numbering scheme is activated. |
| isInUse boolean | Whether this numbering scheme has been used to generate numbers and is therefore no longer editable. |
| isDefault boolean | Whether this numbering scheme is the default for its entity class. |
| isSystem boolean | Whether this numbering scheme is a built-in system scheme. |
| provider string | The system name of the number provider backing this scheme. |
| reuseNumbers boolean | Whether this numbering scheme reuses released numbers. |
| toUpperCase boolean | Whether generated numbers are forced to upper case. |
| fields array: object | The ordered field definitions that compose generated numbers for this scheme. |
| index int | The zero-based position of this field in the numbering scheme. |
| type enum:string | The type of numbering scheme field.
Possible values: FixedText, FreeText, Delimiter, PredefinedList, Autogenerated, Complex, WorkgroupLabel |
| name string | The display name of this field, when applicable. |
| value string | The fixed value for delimiter or fixed-text fields, when applicable. |
| length int | The field length for autogenerated or complex fields, when applicable. |
| minLength int | The minimum input length for free-text fields. |
| maxLength int | The maximum input length for free-text fields. |
| defaultValue string | The default value for free-text or predefined-list fields. |
| rangeFrom int | The first generated value for autogenerated fields. |
| rangeTo int | The last generated value for autogenerated fields. |
| stepSize int | The increment between generated values for autogenerated fields. |
| zeroPadding boolean | Whether autogenerated values are padded with leading zeroes. |
| codeList array: object | The allowed code words for predefined-list fields. |
| code string | The code value. |
| description string | The code description. |
Example
This example illustrates how to retrieve a numbering scheme by ID.
Note: {VaultServerAddress} is used as a placeholder in the example(s) and could represent one of the following:
- Vault Server IP address or hostname. Ex: http://10.41.110.49.
- Vault Gateway URL if gateway is configured. Ex: https://test.vg.autodesk.com.
Request
curl -v '{VaultServerAddress}/AutodeskDM/Services/api/vault/v2/vaults/9/numbering-schemes/3' \
-X 'GET' \
-H 'Accept: application/json'\
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a...'
Response
{
"id": "3",
"name": "Mapped",
"systemName": "Mapped",
"entityClassId": "ITEM",
"isActive": true,
"isInUse": true,
"isDefault": true,
"isSystem": false,
"provider": "SimpleProvider",
"fields": [
{
"index": 0,
"type": "FreeText",
"name": "Mapped",
"minLength": 1,
"maxLength": 50,
"defaultValue": "Default"
}
],
"url": "/AutodeskDM/Services/api/vault/v2/vaults/9/numbering-schemes/3"
}
Show More